Subject: bug#17489: 24.3; Major mode spec in .dir-locals.el breaks dired

From: Glenn Morris <[email-masked]>
Date: Wed, 14 May 2014 13:38:20 -0400

Glenn Morris wrote:

> It's useful for dir-locals to apply to some buffers not visiting files.
> It's not just dired, it's some VC buffers as well, etc, IIRC.
>
> I believe this issue reduces to a duplicate of
>
> http://debbugs.gnu.org/13685

Although we could probably treat this specific example specially, and
just say that it never (?) makes sense for a dir-local `mode' to apply to
non-file buffers.